#include "qvarianteditplugin.h"

#include "qvariantedit.h"

#include <QtCore/QtPlugin>


QVariantEditPlugin::QVariantEditPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void QVariantEditPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool QVariantEditPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * QVariantEditPlugin::createWidget(QWidget * parent) {
	return new QVariantEdit(parent);
}


QString QVariantEditPlugin::name() const {
	return QLatin1String("QVariantEdit");
}


QString QVariantEditPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon QVariantEditPlugin::icon() const {
	return QIcon(":/icons/widgets/qvariantedit.png");
}


QString QVariantEditPlugin::toolTip() const {
	return QLatin1String("QVariant Edit");
}


QString QVariantEditPlugin::whatsThis() const {
	return QLatin1String("QVariant Edit");
}


bool QVariantEditPlugin::isContainer() const {
	return false;
}


QString QVariantEditPlugin::domXml() const {
	return QLatin1String("<widget class=\"QVariantEdit\" name=\"variantEdit\">\n</widget>\n");
}


QString QVariantEditPlugin::includeFile() const {
	return QLatin1String("qvariantedit.h");
}
